diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/taxon/TaxonNodeTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/taxon/TaxonNodeTest.java
index 788e7304dc..e930d28ca6 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/taxon/TaxonNodeTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/taxon/TaxonNodeTest.java
@@ -16,6 +16,7 @@ import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertSame;
 import static org.junit.Assert.assertTrue;
 
+import java.util.List;
 import java.util.Set;
 
 import org.apache.log4j.Logger;
@@ -42,8 +43,8 @@ public class TaxonNodeTest {
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(TaxonNodeTest.class);
 	private static String viewName1;
-	private static Classification taxonomicView1;
-	private static Classification taxonomicView2;
+	private static Classification classification1;
+	private static Classification classification2;
 	private static Taxon taxon1;
 	private static Taxon taxon2;
 	private static Taxon taxon3;
@@ -74,8 +75,8 @@ public class TaxonNodeTest {
 	@Before
 	public void setUp() throws Exception {
 		viewName1 = "Greuther, 1993";
-		taxonomicView1 = Classification.NewInstance(viewName1);
-		taxonomicView2 = Classification.NewInstance("Test View 2");
+		classification1 = Classification.NewInstance(viewName1);
+		classification2 = Classification.NewInstance("Test View 2");
 		taxonName1 = BotanicalName.NewInstance(Rank.SPECIES());
 		taxonName1 = BotanicalName.NewInstance(Rank.SUBSPECIES());
 		taxonName3 = BotanicalName.NewInstance(Rank.SPECIES());
@@ -105,23 +106,24 @@ public class TaxonNodeTest {
 	@Test
 	public void testNewTaxonTaxonomicView() {
 		TaxonNode testNode = new TaxonNode(taxon1);
-		taxonomicView1.addChildNode(testNode, null, null, null);
+		classification1.addChildNode(testNode, null, null);
 		
 		assertNotNull("test node should not be null", testNode);
 		assertEquals(taxon1,testNode.getTaxon());
-		assertEquals(taxonomicView1,testNode.getClassification());
-		assertTrue("taxon1 must become part of taxonomicView1", taxonomicView1.isTaxonInTree(taxon1));
+		assertEquals(classification1,testNode.getClassification());
+		assertTrue("taxon1 must become part of taxonomicView1", classification1.isTaxonInTree(taxon1));
 	}
 
 	/**
-	 * Test method for {@link eu.etaxonomy.cdm.model.taxon.TaxonNode#addChild(eu.etaxonomy.cdm.model.taxon.Taxon, eu.etaxonomy.cdm.model.reference.Reference, java.lang.String, eu.etaxonomy.cdm.model.taxon.Synonym)}.
+	 * Test method for {@link eu.etaxonomy.cdm.model.taxon.TaxonNode#addChildNode(eu.etaxonomy.cdm.model.taxon.Taxon, eu.etaxonomy.cdm.model.reference.Reference, java.lang.String, eu.etaxonomy.cdm.model.taxon.Synonym)}.
 	 */
 	@Test
 	public void testAddChild() {
-		TaxonNode root = taxonomicView1.addChildTaxon(taxon1, null, null, null);
-		assertEquals("Number of all nodes in view should be 1", 1, taxonomicView1.getAllNodes().size());
+		TaxonNode root = classification1.addChildTaxon(taxon1, null, null);
+		assertEquals("Number of all nodes in view should be 1", 1, classification1.getAllNodes().size());
 		
-		TaxonNode child = root.addChildTaxon(taxon2, ref2, "p33", syn1);
+		TaxonNode child = root.addChildTaxon(taxon2, ref2, "p33");  
+		child.setSynonymToBeUsed(syn1); //originally synToBeUsed was part of addChildTaxon
 		//test child properties
 		assertNotNull("Child should not be null", child);
 		assertEquals("Child taxon should be taxon2", taxon2, child.getTaxon());
@@ -131,15 +133,15 @@ public class TaxonNodeTest {
 		assertEquals("Synonym should be syn1", syn1, child.getSynonymToBeUsed());
 		
 		//test parent properties
-		Set<TaxonNode> childList = root.getChildNodes();
+		List<TaxonNode> childList = root.getChildNodes();
 		assertFalse("parent child list must not be empty",childList.isEmpty());
 		assertEquals("size of child list be 1", 1, childList.size());
 		assertSame("taxa must be the same", taxon2, childList.iterator().next().getTaxon());
 		
 		//test view properties
-		Set<TaxonNode> rootNodes = taxonomicView1.getChildNodes();
+		List<TaxonNode> rootNodes = classification1.getChildNodes();
 		assertEquals("Number of root nodes should be 1", 1, rootNodes.size());
-		Set<TaxonNode> allNodes = taxonomicView1.getAllNodes();
+		Set<TaxonNode> allNodes = classification1.getAllNodes();
 		assertEquals("Number of all nodes should be 2", 2, allNodes.size());
 		assertTrue("Taxonomic view should include child", allNodes.contains(child));
 		
@@ -157,7 +159,7 @@ public class TaxonNodeTest {
 	@Test
 	public void testSetTaxon() {
 		TaxonNode node = new TaxonNode(taxon1);
-		taxonomicView1.addChildNode(node, null, null, null);
+		classification1.addChildNode(node, null, null);
 		assertNotNull(taxon2);
 		node.setTaxon(taxon2);
 		assertSame("taxon must be the same", taxon2, node.getTaxon());
@@ -173,7 +175,7 @@ public class TaxonNodeTest {
 		assertNotNull(taxon2);
 		TaxonNode parent = new TaxonNode(taxon2);
 		assertSame("Taxon must be the same", taxon2, parent.getTaxon());
-		taxonomicView1.addChildNode(parent, null, null, null);
+		classification1.addChildNode(parent, null, null);
 		node.setParent(parent);
 		assertSame("taxon2 must contain node", parent, node.getParent());
 		assertTrue("setParent must not handle child list of parent", parent.getChildNodes().isEmpty());
@@ -184,12 +186,13 @@ public class TaxonNodeTest {
 	 */
 	@Test
 	public void testGetChildNodes() {
-		TaxonNode root = taxonomicView1.addChildTaxon(taxon1, null, null, null);
-		assertEquals("Number of all nodes in view should be 1", 1, taxonomicView1.getAllNodes().size());
+		TaxonNode root = classification1.addChildTaxon(taxon1, null, null);
+		assertEquals("Number of all nodes in view should be 1", 1, classification1.getAllNodes().size());
 		
-		TaxonNode child = root.addChildTaxon(taxon2, ref2, "p33", syn1);
+		TaxonNode child = root.addChildTaxon(taxon2, ref2, "p33");
+		child.setSynonymToBeUsed(syn1);
 		
-		Set<TaxonNode> childList = root.getChildNodes();
+		List<TaxonNode> childList = root.getChildNodes();
 		assertFalse("parent child list must not be empty",childList.isEmpty());
 		assertEquals("size of child list be 1", 1, childList.size());
 		assertSame("child must be in child list", child, childList.iterator().next());
@@ -198,12 +201,13 @@ public class TaxonNodeTest {
 	
 	@Test
 	public void testGetCountChildren(){
-		TaxonNode root = taxonomicView1.addChildTaxon(taxon1, null, null, null);
+		TaxonNode root = classification1.addChildTaxon(taxon1, null, null);
 		assertEquals("Count of children must be 0", 0, root.getCountChildren());
-		TaxonNode child = root.addChildTaxon(taxon2, ref2, "p33", syn1);
+		TaxonNode child = root.addChildTaxon(taxon2, ref2, "p33");
+		child.setSynonymToBeUsed(syn1);
 		assertEquals("Count of children must be 1", 1, root.getCountChildren());
 		Taxon taxon3 = Taxon.NewInstance(null, null);
-		TaxonNode child2 = root.addChildTaxon(taxon3, null, null, null);
+		TaxonNode child2 = root.addChildTaxon(taxon3, null, null);
 		assertEquals("Count of children must be 2", 2, root.getCountChildren());
 		root.removeChildNode(child);
 		assertEquals("Count of children must be 1", 1, root.getCountChildren());
@@ -214,11 +218,11 @@ public class TaxonNodeTest {
 	
 	@Test
 	public void testDelete(){
-		TaxonNode root = taxonomicView1.addChildTaxon(taxon1, null, null, null);
-		assertEquals("Number of all nodes in view should be 1", 1, taxonomicView1.getAllNodes().size());
+		TaxonNode root = classification1.addChildTaxon(taxon1, null, null);
+		assertEquals("Number of all nodes in view should be 1", 1, classification1.getAllNodes().size());
 		
 		
-		TaxonNode childNode = root.addChildTaxon(taxon2, null, null, null);
+		TaxonNode childNode = root.addChildTaxon(taxon2, null, null);
 		assertEquals("Count of children must be 1", 1, root.getCountChildren());
 		
 		childNode.delete();
@@ -226,39 +230,39 @@ public class TaxonNodeTest {
 		
 		
 		root.delete();
-		assertEquals("Number of all nodes in view should be 0", 0, taxonomicView1.getAllNodes().size());
+		assertEquals("Number of all nodes in view should be 0", 0, classification1.getAllNodes().size());
 		
 		
 	}
 	
 	@Test
 	public void testMoveTaxonNodeToOtherTree(){
-		TaxonNode node = taxonomicView1.addChildTaxon(taxon1, null, null, null);
-		assertEquals("The node should be in the classification we added it to", taxonomicView1, node.getClassification());
+		TaxonNode node = classification1.addChildTaxon(taxon1, null, null);
+		assertEquals("The node should be in the classification we added it to", classification1, node.getClassification());
 		
-		TaxonNode movedNode = taxonomicView2.addChildNode(node, null, null, null);
-		assertEquals("The node should be in the classification we moved it to", taxonomicView2, movedNode.getClassification());
-		assertEquals("The old tree should be empty now", 0, taxonomicView1.getChildNodes().size());
+		TaxonNode movedNode = classification2.addChildNode(node, null, null);
+		assertEquals("The node should be in the classification we moved it to", classification2, movedNode.getClassification());
+		assertEquals("The old tree should be empty now", 0, classification1.getChildNodes().size());
 	}
 	
 	@Test
 	public void testMoveTaxonNodeToOtherTaxonNodeInDifferentTree(){
-		TaxonNode node1 = taxonomicView1.addChildTaxon(taxon1, null, null, null);
-		TaxonNode node2 = node1.addChildTaxon(taxon3, null, null, null);
+		TaxonNode node1 = classification1.addChildTaxon(taxon1, null, null);
+		TaxonNode node2 = node1.addChildTaxon(taxon3, null, null);
 		
 		assertEquals("The node should have exactly one child", 1, node1.getChildNodes().size());
-		assertEquals("The child is not in the correct tree", taxonomicView1, node2.getClassification());
-		assertEquals("The Classification should contain exactly two nodes", 2, taxonomicView1.getAllNodes().size());
+		assertEquals("The child is not in the correct tree", classification1, node2.getClassification());
+		assertEquals("The Classification should contain exactly two nodes", 2, classification1.getAllNodes().size());
 		
-		TaxonNode node3 = taxonomicView2.addChildTaxon(taxon3, null, null, null);
+		TaxonNode node3 = classification2.addChildTaxon(taxon3, null, null);
 		
 		// move node2 to node3 in other tree
-		node3.addChildNode(node2, null, null, null);
+		node3.addChildNode(node2, null, null);
 		
 		assertEquals("Old node should not have child nodes", 0, node1.getChildNodes().size());
-		assertEquals("Old tree should contain only one node now", 1, taxonomicView1.getAllNodes().size());
-		assertEquals("Moved node not in expected tree", taxonomicView2, node2.getClassification());
-		assertEquals("Count of nodes in new tree:", 2, taxonomicView2.getAllNodes().size());
+		assertEquals("Old tree should contain only one node now", 1, classification1.getAllNodes().size());
+		assertEquals("Moved node not in expected tree", classification2, node2.getClassification());
+		assertEquals("Count of nodes in new tree:", 2, classification2.getAllNodes().size());
 		
 	}
 	
@@ -267,19 +271,49 @@ public class TaxonNodeTest {
 	 */
 	@Test
 	public void testMoveTaxonNodesRecursivelyToOtherTaxonNodeInDifferentTree(){
-		TaxonNode node1 = taxonomicView1.addChildTaxon(taxon1, null, null, null);
-		TaxonNode node2 = node1.addChildTaxon(taxon2, null, null, null);		
-		TaxonNode node3 = node2.addChildTaxon(taxon3, null, null, null);
+		TaxonNode node1 = classification1.addChildTaxon(taxon1, null, null);
+		TaxonNode node2 = node1.addChildTaxon(taxon2, null, null);		
+		TaxonNode node3 = node2.addChildTaxon(taxon3, null, null);
 		
 		//move the branch to a different tree		
-		taxonomicView2.addChildNode(node1, null, null, null);
+		classification2.addChildNode(node1, null, null);
 		
-		assertEquals("Old tree should be empty:", 0, taxonomicView1.getAllNodes().size());
-		assertEquals("Moved node not in expected tree:", taxonomicView2, node1.getClassification());
-		assertEquals("Recursively moved node not in expected tree:", taxonomicView2, node2.getClassification());
-		assertEquals("Recursively moved node not in expected tree:", taxonomicView2, node3.getClassification());
+		assertEquals("Old tree should be empty:", 0, classification1.getAllNodes().size());
+		assertEquals("Moved node not in expected tree:", classification2, node1.getClassification());
+		assertEquals("Recursively moved node not in expected tree:", classification2, node2.getClassification());
+		assertEquals("Recursively moved node not in expected tree:", classification2, node3.getClassification());
 		
-		assertEquals("Count of nodes in new tree:", 3, taxonomicView2.getAllNodes().size());
+		assertEquals("Count of nodes in new tree:", 3, classification2.getAllNodes().size());
+		
+	}
+	
+	@Test
+	public void testAddChildNode(){
+		TaxonNode root = classification1.addChildTaxon(taxon1, null, null);
+		assertEquals("Number of all nodes in cla should be 1", 1, classification1.getAllNodes().size());
+		
+		TaxonNode child = root.addChildTaxon(taxon2, ref2, "p33");  
+		child.setSynonymToBeUsed(syn1); //originally synToBeUsed was part of addChildTaxon
+		//test child properties
+		assertNotNull("Child should not be null", child);
+		assertEquals("Child taxon should be taxon2", taxon2, child.getTaxon());
+		assertEquals("Parent taxon should be taxon1", taxon1, (child.getParent()).getTaxon());
+		assertEquals("Reference should be ref2", ref2, child.getReference());
+		assertEquals("Microreference should be 'p33'", "p33", child.getMicroReference());
+		assertEquals("Synonym should be syn1", syn1, child.getSynonymToBeUsed());
+		
+		//test parent properties
+		List<TaxonNode> childList = root.getChildNodes();
+		assertFalse("parent child list must not be empty",childList.isEmpty());
+		assertEquals("size of child list be 1", 1, childList.size());
+		assertSame("taxa must be the same", taxon2, childList.iterator().next().getTaxon());
+		
+		//test view properties
+		List<TaxonNode> rootNodes = classification1.getChildNodes();
+		assertEquals("Number of root nodes should be 1", 1, rootNodes.size());
+		Set<TaxonNode> allNodes = classification1.getAllNodes();
+		assertEquals("Number of all nodes should be 2", 2, allNodes.size());
+		assertTrue("Taxonomic view should include child", allNodes.contains(child));
 		
 	}
 	
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/name/NonViralNameDefaultCacheStrategyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/name/NonViralNameDefaultCacheStrategyTest.java
index 4cd039194b..6045c2a8af 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/name/NonViralNameDefaultCacheStrategyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/name/NonViralNameDefaultCacheStrategyTest.java
@@ -27,6 +27,7 @@ import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.common.DefaultTermInitializer;
 import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.HybridRelationshipType;
+import eu.etaxonomy.cdm.model.name.NameRelationshipType;
 import eu.etaxonomy.cdm.model.name.NonViralName;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.name.ZoologicalName;
@@ -39,10 +40,10 @@ import eu.etaxonomy.cdm.strategy.cache.TaggedText;
 /**
  * @author a.mueller
  * @created 26.11.2008
- * @version 1.0
  */
 public class NonViralNameDefaultCacheStrategyTest {
-    private static final Logger logger = Logger.getLogger(NonViralNameDefaultCacheStrategyTest.class);
+    @SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(NonViralNameDefaultCacheStrategyTest.class);
 
     private NonViralNameDefaultCacheStrategy strategy;
 
@@ -68,7 +69,7 @@ public class NonViralNameDefaultCacheStrategyTest {
     private INomenclaturalAuthor exAuthor;
     private INomenclaturalAuthor basAuthor;
     private INomenclaturalAuthor exBasAuthor;
-    private Reference citationRef;
+    private Reference<?> citationRef;
 
     @BeforeClass
     public static void setUpBeforeClass() {
@@ -261,10 +262,29 @@ public class NonViralNameDefaultCacheStrategyTest {
         Assert.assertEquals("", "Abies alba L. \u00D7 Second parent Mill.", hybridName.getTitleCache());
 
     }
+    
+    //TODO add more tests when specification is clearer
+    @Test
+    public void testOriginalSpelling() {
+    	NameRelationshipType origSpellingType = NameRelationshipType.ORIGINAL_SPELLING();
+    	NonViralName<?> originalName = (NonViralName<?>)speciesName.clone();
+    	originalName.setSpecificEpithet("alpa");
+    	Assert.assertEquals("Preconditions are wrong", "Abies alpa", originalName.getNameCache());
+    	
+    	speciesName.addRelationshipFromName(originalName, origSpellingType, null);
+    	Assert.assertEquals("Abies alba 'alpa'", speciesName.getNameCache());
+    	originalName.setGenusOrUninomial("Apies");
+    	
+    	speciesName.setNameCache(null, false);
+    	//TODO update cache of current name (species name)
+    	Assert.assertEquals("Abies alba 'Apies alpa'", speciesName.getNameCache());
+
+    	//TODO add more tests when specification of exact behaviour is clearer
+    }
 
     @Test
     public void testCacheListener() {
-        Reference ref = ReferenceFactory.newGeneric();
+        Reference<?> ref = ReferenceFactory.newGeneric();
         ref.setTitleCache("GenericRef",true);
         this.subSpeciesName.setNomenclaturalReference(ref);
         Assert.assertEquals("Expected full title cache has error", "Abies alba subsp. beta, GenericRef", subSpeciesName.getFullTitleCache());
@@ -472,7 +492,7 @@ public class NonViralNameDefaultCacheStrategyTest {
 
         //test ordinary infrageneric
         List<TaggedText> subGenusNameCacheTagged = strategy.getInfraGenusTaggedNameCache(nonViralName);
-        String subGenusNameCache = strategy.createString(subGenusNameCacheTagged);
+        String subGenusNameCache = NonViralNameDefaultCacheStrategy.createString(subGenusNameCacheTagged);
         assertEquals("Subgenus name should be 'Genus subg. subgenus'.", "Genus subg. subgenus", subGenusNameCache);
         String subGenusTitle = strategy.getTitleCache(nonViralName);
         assertEquals("Subgenus name should be 'Genus subg. subgenus Anyauthor'.", "Genus subg. subgenus Anyauthor", subGenusTitle);
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/ArticleDefaultCacheStrategyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/ArticleDefaultCacheStrategyTest.java
index 16d42fccc1..f3d23671e9 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/ArticleDefaultCacheStrategyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/ArticleDefaultCacheStrategyTest.java
@@ -100,6 +100,25 @@ public class ArticleDefaultCacheStrategyTest {
 		article1.setInJournal(null);
 		Assert.assertEquals("Team1, My article in " + ArticleDefaultCacheStrategy.UNDEFINED_JOURNAL + ". 1975", article1.getTitleCache());	
 	}
+	
+	@Test
+	public void testGetAbbrevTitleCache(){
+		
+		journal1.setTitle("My journal");
+		journal1.setTitle("M. Journ.");
+		journal1.setAuthorTeam(team2);
+		article1.setTitle("My article");
+		article1.setInJournal(journal1);
+		article1.setAuthorTeam(team1);
+		article1.setDatePublished(TimePeriod.NewInstance(1975));
+		article1.setAbbrevTitle("M. Art.");
+		Assert.assertEquals("T., M. Art. in M. Journ.. 1975", article1.getAbbrevTitleCache());  //double dot may be removed in future #3645
+
+		article1.setInJournal(null);
+		//TODO should not be needed here
+		article1.setTitleCache(null);
+		Assert.assertEquals("Team1, My article in " + ArticleDefaultCacheStrategy.UNDEFINED_JOURNAL + ". 1975", article1.getTitleCache());	
+	}
 
 	@Test
 	public void testGetNomenclaturalCitation(){
@@ -114,7 +133,7 @@ public class ArticleDefaultCacheStrategyTest {
 
 	
 	@Test 
-	public void testGetNomRefTitleWithoutYearAndAuthor(){
+	public void testGetTitleWithoutYearAndAuthor(){
 		journal1.setTitle("My journal");
 		journal1.setAuthorTeam(team2);
 		article1.setTitle("My article");
@@ -123,7 +142,7 @@ public class ArticleDefaultCacheStrategyTest {
 		article1.setVolume("34");
 		article1.setSeries("ser. 2");
 		article1.setDatePublished(TimePeriod.NewInstance(1975));
-		Assert.assertEquals("in My journal ser. 2, 34", defaultStrategy.getNomRefTitleWithoutYearAndAuthor((Reference<?>)article1));
+		Assert.assertEquals("in My journal ser. 2, 34", defaultStrategy.getTitleWithoutYearAndAuthor((Reference<?>)article1, false));
 	}
 	
 	@Test 
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/BookDefaultCacheStrategyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/BookDefaultCacheStrategyTest.java
index 59f91ca34b..33d0511eaf 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/BookDefaultCacheStrategyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/BookDefaultCacheStrategyTest.java
@@ -21,6 +21,7 @@ import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.reference.IBook;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
+import eu.etaxonomy.cdm.strategy.parser.TimePeriodParser;
 
 /**
  * @author a.mueller
@@ -67,7 +68,7 @@ public class BookDefaultCacheStrategyTest {
 		book1.setEdition("ed. 3");
 		Assert.assertEquals("Unexpected title cache.", "Book Author, My book, ed. 3. 1975", book1.getTitleCache());
 		
-		TimePeriod newDatePublished = TimePeriod.parseString("1975 (after Aug.)");
+		TimePeriod newDatePublished = TimePeriodParser.parseString("1975 (after Aug.)");
 		book1.setDatePublished(newDatePublished);
 		book1.setTitleCache(null, false);
 		//TODO this behaviour needs to be discussed. Maybe better the complete date published string should be returned.
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/CdDvdDefaultCacheStrategyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/CdDvdDefaultCacheStrategyTest.java
index 6a9100375d..63054862bf 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/CdDvdDefaultCacheStrategyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/cache/reference/CdDvdDefaultCacheStrategyTest.java
@@ -64,8 +64,8 @@ public class CdDvdDefaultCacheStrategyTest {
 	}
 	
 	@Test
-	public void testGetNomRefTitleWithoutYearAndAuthor() {
-		String result = instance.getNomRefTitleWithoutYearAndAuthor(cdDvd);
+	public void testGetTitleWithoutYearAndAuthor() {
+		String result = instance.getTitleWithoutYearAndAuthor(cdDvd, false);
 		assertEquals(title, result);
 	}
 
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/generate/IdentificationKeyGeneratorTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/generate/IdentificationKeyGeneratorTest.java
index 86d4bfcec0..11a6e57569 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/generate/IdentificationKeyGeneratorTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/generate/IdentificationKeyGeneratorTest.java
@@ -99,49 +99,49 @@ public class IdentificationKeyGeneratorTest {
 		State s11 = State.NewInstance("","Triangular","");
 		State s12 = State.NewInstance("","Circular","");
 		sd11.setState(s11);
-		catd11.addState(sd11);
+		catd11.addStateData(sd11);
 		
 		CategoricalData catd12 = CategoricalData.NewInstance();
 		catd12.setFeature(feature1);
 		StateData sd12 = StateData.NewInstance();
 		sd12.setState(s11);
-		catd12.addState(sd12);
+		catd12.addStateData(sd12);
 		
 		CategoricalData catd13 = CategoricalData.NewInstance();
 		catd13.setFeature(feature1);
 		StateData sd13 = StateData.NewInstance();
 		sd13.setState(s11);
-		catd13.addState(sd13);
+		catd13.addStateData(sd13);
 		
 		CategoricalData catd14 = CategoricalData.NewInstance();
 		catd14.setFeature(feature1);
 		StateData sd14 = StateData.NewInstance();
 		sd14.setState(s11);
-		catd14.addState(sd14);
+		catd14.addStateData(sd14);
 		
 		CategoricalData catd15 = CategoricalData.NewInstance();
 		catd15.setFeature(feature1);
 		StateData sd15 = StateData.NewInstance();
 		sd15.setState(s12);
-		catd15.addState(sd15);
+		catd15.addStateData(sd15);
 		
 		CategoricalData catd16 = CategoricalData.NewInstance();
 		catd16.setFeature(feature1);
 		StateData sd16 = StateData.NewInstance();
 		sd16.setState(s12);
-		catd16.addState(sd16);
+		catd16.addStateData(sd16);
 		
 		CategoricalData catd17 = CategoricalData.NewInstance();
 		catd17.setFeature(feature1);
 		StateData sd17 = StateData.NewInstance();
 		sd17.setState(s12);
-		catd17.addState(sd17);
+		catd17.addStateData(sd17);
 		
 		CategoricalData catd18 = CategoricalData.NewInstance();
 		catd18.setFeature(feature1);
 		StateData sd18 = StateData.NewInstance();
 		sd18.setState(s12);
-		catd18.addState(sd18);
+		catd18.addStateData(sd18);
 		
 		/*************************/
 		
@@ -151,49 +151,49 @@ public class IdentificationKeyGeneratorTest {
 		State s21 = State.NewInstance("","Yes","");
 		State s22 = State.NewInstance("","No","");
 		sd21.setState(s21);
-		catd21.addState(sd21);
+		catd21.addStateData(sd21);
 		
 		CategoricalData catd22 = CategoricalData.NewInstance();
 		catd22.setFeature(feature2);
 		StateData sd22 = StateData.NewInstance();
 		sd22.setState(s21);
-		catd22.addState(sd22);
+		catd22.addStateData(sd22);
 		
 		CategoricalData catd23 = CategoricalData.NewInstance();
 		catd23.setFeature(feature2);
 		StateData sd23 = StateData.NewInstance();
 		sd23.setState(s21);
-		catd23.addState(sd23);
+		catd23.addStateData(sd23);
 		
 		CategoricalData catd24 = CategoricalData.NewInstance();
 		catd24.setFeature(feature2);
 		StateData sd24 = StateData.NewInstance();
 		sd24.setState(s21);
-		catd24.addState(sd24);
+		catd24.addStateData(sd24);
 		
 		CategoricalData catd25 = CategoricalData.NewInstance();
 		catd25.setFeature(feature2);
 		StateData sd25 = StateData.NewInstance();
 		sd25.setState(s21);
-		catd25.addState(sd25);
+		catd25.addStateData(sd25);
 		
 		CategoricalData catd26 = CategoricalData.NewInstance();
 		catd26.setFeature(feature2);
 		StateData sd26 = StateData.NewInstance();
 		sd26.setState(s21);
-		catd26.addState(sd26);
+		catd26.addStateData(sd26);
 		
 		CategoricalData catd27 = CategoricalData.NewInstance();
 		catd27.setFeature(feature2);
 		StateData sd27 = StateData.NewInstance();
 		sd27.setState(s21);
-		catd27.addState(sd27);
+		catd27.addStateData(sd27);
 		
 		CategoricalData catd28 = CategoricalData.NewInstance();
 		catd28.setFeature(feature2);
 		StateData sd28 = StateData.NewInstance();
 		sd28.setState(s22);
-		catd28.addState(sd28);
+		catd28.addStateData(sd28);
 		
 		/*************************/
 		
@@ -301,49 +301,49 @@ public class IdentificationKeyGeneratorTest {
 		State s41 = State.NewInstance("","Blue","");
 		State s42 = State.NewInstance("","Yellow","");
 		sd41.setState(s41);
-		catd41.addState(sd41);
+		catd41.addStateData(sd41);
 		
 		CategoricalData catd42 = CategoricalData.NewInstance();
 		catd42.setFeature(feature4);
 		StateData sd42 = StateData.NewInstance();
 		sd42.setState(s42);
-		catd42.addState(sd42);
+		catd42.addStateData(sd42);
 		
 		CategoricalData catd43 = CategoricalData.NewInstance();
 		catd43.setFeature(feature4);
 		StateData sd43 = StateData.NewInstance();
 		sd43.setState(s41);
-		catd43.addState(sd43);
+		catd43.addStateData(sd43);
 		
 		CategoricalData catd44 = CategoricalData.NewInstance();
 		catd44.setFeature(feature4);
 		StateData sd44 = StateData.NewInstance();
 		sd44.setState(s42);
-		catd44.addState(sd44);
+		catd44.addStateData(sd44);
 		
 		CategoricalData catd45 = CategoricalData.NewInstance();
 		catd45.setFeature(feature4);
 		StateData sd45 = StateData.NewInstance();
 		sd45.setState(s41);
-		catd45.addState(sd45);
+		catd45.addStateData(sd45);
 		
 		CategoricalData catd46 = CategoricalData.NewInstance();
 		catd46.setFeature(feature4);
 		StateData sd46 = StateData.NewInstance();
 		sd46.setState(s41);
-		catd46.addState(sd46);
+		catd46.addStateData(sd46);
 		
 		CategoricalData catd47 = CategoricalData.NewInstance();
 		catd47.setFeature(feature4);
 		StateData sd47 = StateData.NewInstance();
 		sd47.setState(s41);
-		catd47.addState(sd47);
+		catd47.addStateData(sd47);
 		
 		CategoricalData catd48 = CategoricalData.NewInstance();
 		catd48.setFeature(feature4);
 		StateData sd48 = StateData.NewInstance();
 		sd48.setState(s41);
-		catd48.addState(sd48);
+		catd48.addStateData(sd48);
 		
 		/*************************/
 		
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/match/DefaultMatchStrategyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/match/DefaultMatchStrategyTest.java
index 2ca6af0bd1..5e66530ba0 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/match/DefaultMatchStrategyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/match/DefaultMatchStrategyTest.java
@@ -29,7 +29,7 @@ import eu.etaxonomy.cdm.model.common.LSID;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.location.Point;
 import eu.etaxonomy.cdm.model.location.ReferenceSystem;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.reference.IBook;
@@ -198,7 +198,7 @@ public class DefaultMatchStrategyTest {
 		matchStrategy = DefaultMatchStrategy.NewInstance(Reference.class);
 		Assert.assertTrue("Same object should always match", matchStrategy.invoke(book1, book1));
 		
-		IBook bookClone = (IBook) ((Reference<?>) book1).clone();
+		IBook bookClone = (IBook) book1.clone();
 		Assert.assertTrue("Cloned book should match", matchStrategy.invoke(book1, bookClone));
 		book1.setTitleCache("cache1",true);
 		Assert.assertFalse("Cached book should not match", matchStrategy.invoke(book1, bookClone));
@@ -402,7 +402,7 @@ public class DefaultMatchStrategyTest {
 		Assert.assertTrue("Teams should match", matchStrategy.invoke(team1, team3));
 		
 		String street1 = "Strasse1";
-		team1.setContact(Contact.NewInstance(street1, "12345", "Berlin", WaterbodyOrCountry.ARGENTINAARGENTINEREPUBLIC(),"pobox" , "Region", "a@b.de", "f12345", "+49-30-123456", "www.abc.de", Point.NewInstance(2.4, 3.2, ReferenceSystem.WGS84(), 3)));
+		team1.setContact(Contact.NewInstance(street1, "12345", "Berlin", Country.ARGENTINAARGENTINEREPUBLIC(),"pobox" , "Region", "a@b.de", "f12345", "+49-30-123456", "www.abc.de", Point.NewInstance(2.4, 3.2, ReferenceSystem.WGS84(), 3)));
 		team2.setContact(Contact.NewInstance("Street2", null, "London", null, null, null, null, "874599873", null, null, null));
 		Assert.assertTrue("Contacts should be ignoredin default match strategy", matchStrategy.invoke(team1, team2));
 		
